"""
 -*- coding: utf-8 -*-
 此模块是ASR的websocket端点, 使用FastAPI的websocket端点
"""

from fastapi import WebSocket, APIRouter

router = APIRouter()

from src.runner.ASRRunner import ASRRunner

ASRRunner_instance = ASRRunner()

from src.core import ModelLoader
model_loader = ModelLoader()
args = {
    "asr_model": "paraformer-zh",
    "asr_model_revision": "v2.0.4",
    "vad_model": "fsmn-vad",
    "vad_model_revision": "v2.0.4",
    "spk_model": "cam++",
    "spk_model_revision": "v2.0.2",
    "audio_update": False,
}
models = model_loader.load_models(args)

@router.websocket("/asr_full")
async def asr_endpoint(websocket: WebSocket):
    await websocket.accept()
    while True:
        data = await websocket.receive_text()
        print(data)
